Job Postings
Alle Operationen rund um Job Postings.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Job Posting | job_posting |
14 | — | job_posting_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/job_postings |
Create job_posting | Create a new job_posting in the active tenant. |
DELETE |
/v1/job_postings/{id} |
Delete job_posting | Soft delete entity. |
GET |
/v1/job_postings/{id} |
Get job_posting by id | Fetch a single job_posting. |
GET |
/v1/job_postings/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/job_postings/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/job_postings/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/job_postings |
List job_postings | List job_postings for the active tenant. |
PATCH |
/v1/job_postings/{id} |
Patch job_posting | JSON Merge Patch update. |
POST |
/v1/job_postings/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/job_postings/{id}/transition |
POST /v1/job_postings/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/job_postings/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/job_postings/{id} |
Replace job_posting | Full replace with optimistic locking. |